Luxor Documentation Hub Logo
Derivatives/API Documentation

Get derivatives payments

Returns a list of derivatives payments for a specific currency type with optional filtering by payment type.

GET
/v2/derivatives/payments/{currency_type}

Authorization

authorization<token>

Use your API key here.

In: header

Path Parameters

currency_typeRequiredstring

Currency type for derivatives operations

Value in: "BTC" | "USD"

Query Parameters

typestring

Filter by payment type

Default: "ALL"Value in: "ALL" | "PAYABLE" | "RECEIVABLE"
page_numberinteger
Default: 1Minimum: 1
page_sizeinteger
Default: 10Minimum: 1
curl -X GET "https://app.luxor.tech/api/v2/derivatives/payments/BTC?type=ALL&page_number=1&page_size=10" \
  -H "authorization: <token>"

Default Response

{
  "currency_type": "BTC",
  "payments": [
    {
      "date_time": "2025-09-10T15:20:11Z",
      "type": "RECEIVABLE",
      "amount": 1.25
    }
  ],
  "pagination": {
    "page_number": 1,
    "page_size": 1,
    "item_count": 0,
    "previous_page_url": null,
    "next_page_url": null
  }
}